Vulnerability Name:

CVE-2018-1004

Assigned:2017-12-01
Published:2018-04-10
Updated:2018-04-12
Summary:A remote code execution vulnerability exists in the way that the VBScript engine handles objects in memory, aka "Windows VBScript Engine Remote Code Execution Vulnerability." This affects Windows 7, Windows Server 2012 R2, Internet Explorer 9, Windows RT 8.1, Windows Server 2012, Windows 8.1, Windows Server 2016, Windows Server 2008 R2, Windows 10.
CVSS v3 Severity:5.0 Medium (CCN CVSS v3 Vector: CVSS:3.0/AV:N/AC:H/PR:N/UI:R/S:U/C:L/I:L/A:L)
4.5 Medium (CCN Temporal CVSS v3 Vector: CVSS:3.0/AV:N/AC:H/PR:N/UI:R/S:U/C:L/I:L/A:L/E:P/RL:O/RC:C)
Exploitability Metrics:Attack Vector (AV): Network
Attack Complexity (AC): High
Privileges Required (PR): None
User Interaction (UI): Required
Scope:Scope (S): Unchanged
Impact Metrics:Confidentiality (C): Low
Integrity (I): Low
Availibility (A): Low
CVSS v2 Severity:4.6 Medium (CCN CVSS v2 Vector: AV:N/AC:H/Au:S/C:P/I:P/A:P)
Exploitability Metrics:Access Vector (AV): Network
Access Complexity (AC): High
Athentication (Au): Single_Instance
Impact Metrics:Confidentiality (C): Partial
Integrity (I): Partial
Availibility (A): Partial
References:Source: BID
Type: UNKNOWN
103657

Source: SECTRACK
Type: UNKNOWN
1040655

Source: XF
Type: UNKNOWN
ms-vbscript-cve20181004-code-exec(140807)

Source: CONFIRM
Type: UNKNOWN
https://portal.msrc.microsoft.com/en-US/security-guidance/advisory/CVE-2018-1004

Vulnerable Configuration:
Configuration CCN 1:
  • cpe:/o:microsoft:windows_7:-:sp1:x32:*:*:*:*:*
  • OR cpe:/o:microsoft:windows_7:-:sp1:x64:*:*:*:*:*
  • OR cpe:/o:microsoft:windows_server_2008:r2:sp1:x64:*:*:*:*:*
  • OR cpe:/o:microsoft:windows_server_2008:r2:sp1:itanium:*:*:*:*:*
  • OR cpe:/a:microsoft:internet_explorer:9:*:*:*:*:*:*:*
  • OR cpe:/o:microsoft:windows_server_2012:-:*:*:*:*:*:*:*
  • OR cpe:/o:microsoft:windows_8.1:-:-:-:*:-:-:x64:*
  • OR cpe:/o:microsoft:windows_server_2012:r2:-:-:*:datacenter:*:*:*
  • OR cpe:/o:microsoft:windows_rt_8.1:-:*:*:*:*:*:*:*
  • OR cpe:/o:microsoft:windows_10:-:*:*:*:*:*:x32:*
  • OR cpe:/o:microsoft:windows_10:-:*:*:*:*:*:x64:*
  • OR cpe:/o:microsoft:windows_server_2016:-:*:*:*:*:*:*:*
  • AND
  • cpe:/o:microsoft:windows_server:2008:sp2:x32:*:*:*:*:*
  • OR cpe:/o:microsoft:windows_server:2008:sp2:x64:*:*:*:*:*

  • Denotes that component is vulnerable
    BACK
    microsoft windows 7 - sp1
    microsoft windows 7 - sp1
    microsoft windows server 2008 r2 sp1
    microsoft windows server 2008 r2 sp1
    microsoft internet explorer 9
    microsoft windows server 2012 -
    microsoft windows 8.1 - -
    microsoft windows server 2012 r2 -
    microsoft windows rt 8.1 -
    microsoft windows 10 -
    microsoft windows 10 -
    microsoft windows server 2016 -
    microsoft windows server 2008 sp2
    microsoft windows server 2008 sp2